<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="com.zxhy.hfilemanagermaster.files.FilesFragment">


    <TextView
        android:id="@+id/tv_file"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="16dp"
        android:text="My Files"
        android:textAllCaps="false"
        android:textColor="#333333"
        android:textSize="17sp"
        android:textStyle="bold"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:ignore="HardcodedText,RtlHardcoded" />


    <ImageView
        android:id="@+id/iv_image"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:layout_marginLeft="40dp"
        android:layout_marginTop="20dp"
        android:src="@mipmap/uwe_0705"
        app:layout_constraintHorizontal_chainStyle="spread_inside"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@id/iv_video"
        app:layout_constraintTop_toBottomOf="@id/tv_file"
        tools:ignore="ContentDescription,RtlHardcoded" />

    <TextView
        android:id="@+id/tv_image"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:text="Image"
        android:textColor="#333333"
        android:textSize="12sp"
        app:layout_constraintLeft_toLeftOf="@id/iv_image"
        app:layout_constraintRight_toRightOf="@id/iv_image"
        app:layout_constraintTop_toBottomOf="@id/iv_image"
        tools:ignore="HardcodedText" />

    <ImageView
        android:id="@+id/iv_video"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:layout_marginTop="20dp"
        android:src="@mipmap/ft_899520"
        app:layout_constraintLeft_toRightOf="@id/iv_image"
        app:layout_constraintRight_toLeftOf="@id/iv_audio"
        app:layout_constraintTop_toBottomOf="@id/tv_file"
        tools:ignore="ContentDescription,RtlHardcoded" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:text="Video"
        android:textColor="#333333"
        android:textSize="12sp"
        app:layout_constraintLeft_toLeftOf="@id/iv_video"
        app:layout_constraintRight_toRightOf="@id/iv_video"
        app:layout_constraintTop_toBottomOf="@id/iv_video"
        tools:ignore="HardcodedText" />

    <ImageView
        android:id="@+id/iv_audio"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:layout_marginTop="20dp"
        android:layout_marginRight="40dp"
        android:src="@mipmap/wqe_09"
        app:layout_constraintLeft_toRightOf="@id/iv_video"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_file"
        tools:ignore="ContentDescription,RtlHardcoded" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:text="Audio"
        android:textColor="#333333"
        android:textSize="12sp"
        app:layout_constraintLeft_toLeftOf="@id/iv_audio"
        app:layout_constraintRight_toRightOf="@id/iv_audio"
        app:layout_constraintTop_toBottomOf="@id/iv_audio"
        tools:ignore="HardcodedText" />


    <ImageView
        android:id="@+id/iv_apk"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:layout_marginLeft="40dp"
        android:layout_marginTop="20dp"
        android:src="@mipmap/fe_98856"
        app:layout_constraintHorizontal_chainStyle="spread_inside"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@id/iv_zip"
        app:layout_constraintTop_toBottomOf="@id/tv_image"
        tools:ignore="RtlHardcoded" />

    <TextView
        android:id="@+id/tv_apk"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:text="Apk"
        android:textColor="#333333"
        android:textSize="12sp"
        app:layout_constraintLeft_toLeftOf="@id/iv_apk"
        app:layout_constraintRight_toRightOf="@id/iv_apk"
        app:layout_constraintTop_toBottomOf="@id/iv_apk"
        tools:ignore="HardcodedText" />

    <ImageView
        android:id="@+id/iv_zip"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:src="@mipmap/qwett_98959"
        app:layout_constraintLeft_toRightOf="@id/iv_apk"
        app:layout_constraintRight_toLeftOf="@id/iv_log"
        app:layout_constraintTop_toTopOf="@id/iv_apk"
        tools:ignore="RtlHardcoded" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:text="Zip"
        android:textColor="#333333"
        android:textSize="12sp"
        app:layout_constraintLeft_toLeftOf="@id/iv_zip"
        app:layout_constraintRight_toRightOf="@id/iv_zip"
        app:layout_constraintTop_toBottomOf="@id/iv_zip"
        tools:ignore="HardcodedText" />

    <ImageView
        android:id="@+id/iv_log"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:layout_marginRight="40dp"
        android:src="@mipmap/rqwr_875"
        app:layout_constraintLeft_toRightOf="@id/iv_zip"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/iv_zip"
        tools:ignore="ContentDescription,RtlHardcoded" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:text="Log File"
        android:textColor="#333333"
        android:textSize="12sp"
        app:layout_constraintLeft_toLeftOf="@id/iv_log"
        app:layout_constraintRight_toRightOf="@id/iv_log"
        app:layout_constraintTop_toBottomOf="@id/iv_log"
        tools:ignore="HardcodedText" />

    <TextView
        android:id="@+id/tv_recent"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="16dp"
        android:text="Recent"
        android:textAllCaps="false"
        android:textColor="#333333"
        android:textSize="17sp"
        android:textStyle="bold"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_apk"
        tools:ignore="HardcodedText,RtlHardcoded" />

    <androidx.cardview.widget.CardView
        android:layout_width="0dp"
        android:layout_height="104dp"
        android:layout_marginHorizontal="16dp"
        android:layout_marginTop="11dp"
        app:cardCornerRadius="8dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_recent">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv"
            android:layout_marginHorizontal="6dp"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center_vertical"
            android:orientation="horizontal"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            tools:listitem="@layout/item_image" />
    </androidx.cardview.widget.CardView>

</androidx.constraintlayout.widget.ConstraintLayout>